type Nullable<T> = T | null | undefined
export declare abstract class RemovePolicy {
    private constructor();
    static get DEFAULT(): RemovePolicy & {
        get name(): "DEFAULT";
        get ordinal(): 0;
    };
    static get REFORMAT_ON_DELETE(): RemovePolicy & {
        get name(): "REFORMAT_ON_DELETE";
        get ordinal(): 1;
    };
    static values(): Array<RemovePolicy>;
    static valueOf(value: string): RemovePolicy;
    get name(): "DEFAULT" | "REFORMAT_ON_DELETE";
    get ordinal(): 0 | 1;
}
export declare class HangulContext {
    constructor(initialPhrase?: string, removePolicy?: RemovePolicy);
    clear(): void;
    appendLetter(letter: string): void;
    appendLetters(letters: Array<string>): void;
    removeLastLetter(): void;
    composeHangul(value: string): string;
    decomposeHangul(value?: Nullable<string>): string;
    static deleteAtCaret$default($this: HangulContext, count: number, to?: number): string;
    getValue(): string;
}
export as namespace khangul;